Bug 1204344 - gcc: internal compiler error
Summary: gcc: internal compiler error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gcc
Version: 7.3
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Jakub Jelinek
QA Contact: qe-baseos-tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-21 07:02 UTC by David Arnold
Modified: 2015-03-24 14:26 UTC (History)
2 users (show)

Fixed In Version: gcc-4.8.3-9.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-24 14:26:40 UTC
Target Upstream Version:


Attachments (Terms of Use)
Pre-processed source. (3.58 MB, text/x-csrc)
2015-03-21 07:02 UTC, David Arnold
no flags Details

Description David Arnold 2015-03-21 07:02:12 UTC
Created attachment 1004789 [details]
Pre-processed source.

Description of problem: segfault from GCC.

Version-Release number of selected component (if applicable): gcc (GCC) 4.8.2 20140120 (Red Hat 4.8.2-16)

How reproducible: Compile proprietary C++ application.

Actual results: 

libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I/home/d/work/market-factory/fxproxy/risk -I../proxy -I /home/d/work/market-factory/fxproxy -DBOOST_DATE_TIME_POSIX_TIME_STD_CONFIG -std=c++11 -msse4.2 -m64 -pipe -g -O2 -MT fix/Interface.lo -MD -MP -MF fix/.deps/Interface.Tpo -c /home/d/work/market-factory/fxproxy/risk/fix/Interface.cpp  -fPIC -DPIC -o fix/.libs/Interface.o
In file included from /home/d/work/market-factory/fxproxy/risk/fix/BufferChecker.hpp:8:0,
                 from /home/d/work/market-factory/fxproxy/risk/fix/Interface.hpp:5,
                 from /home/d/work/market-factory/fxproxy/risk/fix/Interface.cpp:2:
/home/d/work/market-factory/fxproxy/risk/symbology/Product.hpp: In static member function 'static zebra::symbology::Product zebra::symbology::ProductRegistry::parseIDHash(zebra::symbology::ProductIDHash)':
/home/d/work/market-factory/fxproxy/risk/symbology/Product.hpp:81:66: internal compiler error: Segmentation fault
   return get_or_default ( product_map, key, Product::INVALID ( ) );
                                                                  ^
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccMCVtLt.out file, please attach this to your bugreport.


Expected results:

Successful compilation.

Additional info:

Comment 2 Marek Polacek 2015-03-21 08:42:59 UTC
Fixed in r208177:

2014-02-26  Jason Merrill  <jason@redhat.com>
 
       PR c++/60182
       * pt.c (unify): Ignore alias templates when deducing a template
       template parameter.

Comment 3 David Arnold 2015-03-23 12:20:30 UTC
Thanks Marek.

Does anyone know if this fix likely to make it into a RHEL7.x release?

Comment 4 Jakub Jelinek 2015-03-24 13:12:51 UTC
That fix should be in gcc-4.8.2-17.el6 and later, RHEL 7.1 shipped gcc-4.8.3-9.el7, so this should be already fixed in RHEL 7.1.

Comment 5 Jakub Jelinek 2015-03-24 14:26:40 UTC
Confirmed fixed with gcc-4.8.3-9.el7.


Note You need to log in before you can comment on or make changes to this bug.